{
    "$graph": [
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/blast_contamfilter",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "blastn",
            "stdout": "$(inputs.db).output",
            "inputs": [
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "-best_hit_overhang"
                    },
                    "id": "#blastn.cwl/best_hit_overhang"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "-best_hit_score_edge"
                    },
                    "id": "#blastn.cwl/best_hit_score_edge"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-db"
                    },
                    "id": "#blastn.cwl/db"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-dust"
                    },
                    "id": "#blastn.cwl/dust"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "-evalue"
                    },
                    "id": "#blastn.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-gapextend"
                    },
                    "id": "#blastn.cwl/gapextend"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-gapopen"
                    },
                    "id": "#blastn.cwl/gapopen"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-no_greedy"
                    },
                    "id": "#blastn.cwl/no_greedy"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": 6,
                    "inputBinding": {
                        "prefix": "-outfmt"
                    },
                    "id": "#blastn.cwl/outfmt"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-penalty"
                    },
                    "id": "#blastn.cwl/penalty"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "-perc_identity"
                    },
                    "id": "#blastn.cwl/perc_identity"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-query"
                    },
                    "id": "#blastn.cwl/query"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-reward"
                    },
                    "id": "#blastn.cwl/reward"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-soft_masking"
                    },
                    "id": "#blastn.cwl/soft_masking"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-task"
                    },
                    "id": "#blastn.cwl/task"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-template_length"
                    },
                    "id": "#blastn.cwl/template_length"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-template_type"
                    },
                    "id": "#blastn.cwl/template_type"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-window_size"
                    },
                    "id": "#blastn.cwl/window_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-word_size"
                    },
                    "id": "#blastn.cwl/word_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-xdrop_gap"
                    },
                    "id": "#blastn.cwl/xdrop_gap"
                }
            ],
            "id": "#blastn.cwl",
            "outputs": [
                {
                    "id": "#blastn.cwl/output",
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.output"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "name": "#typedefs.yaml/BlastnType",
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#typedefs.yaml/BlastnType/db",
                                    "type": "string"
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/dbtype",
                                    "type": "string"
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/outfmt",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/best_hit_overhang",
                                    "type": [
                                        "null",
                                        "double"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/best_hit_score_edge",
                                    "type": [
                                        "null",
                                        "double"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/dust",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/evalue",
                                    "type": [
                                        "null",
                                        "double"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/gapextend",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/gapopen",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/penalty",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/perc_identity",
                                    "type": [
                                        "null",
                                        "double"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/reward",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/soft_masking",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/task",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/template_length",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/template_type",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/window_size",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/word_size",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/xdrop_gap",
                                    "type": [
                                        "null",
                                        "int"
                                    ]
                                },
                                {
                                    "name": "#typedefs.yaml/BlastnType/no_greedy",
                                    "type": [
                                        "null",
                                        "boolean"
                                    ]
                                }
                            ]
                        },
                        {
                            "name": "#typedefs.yaml/KaryotType",
                            "type": "enum",
                            "symbols": [
                                "#typedefs.yaml/KaryotType/pro",
                                "#typedefs.yaml/KaryotType/eu"
                            ]
                        },
                        {
                            "name": "#typedefs.yaml/SettingsType",
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#typedefs.yaml/SettingsType/common",
                                    "type": {
                                        "type": "array",
                                        "items": "#typedefs.yaml/BlastnType"
                                    }
                                },
                                {
                                    "name": "#typedefs.yaml/SettingsType/prok",
                                    "type": "#typedefs.yaml/BlastnType"
                                },
                                {
                                    "name": "#typedefs.yaml/SettingsType/euk",
                                    "type": "#typedefs.yaml/BlastnType"
                                },
                                {
                                    "name": "#typedefs.yaml/SettingsType/prok_adapt",
                                    "type": "#typedefs.yaml/BlastnType"
                                },
                                {
                                    "name": "#typedefs.yaml/SettingsType/euk_adapt",
                                    "type": "#typedefs.yaml/BlastnType"
                                }
                            ]
                        }
                    ],
                    "id": "#typedefs.yaml"
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "#typedefs.yaml/BlastnType",
                    "id": "#main/dbfasta"
                },
                {
                    "type": "File",
                    "id": "#main/query"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/blastn/output",
                    "id": "#main/output"
                }
            ],
            "steps": [
                {
                    "run": "#blastn.cwl",
                    "in": [
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.best_hit_overhang)",
                            "id": "#main/blastn/best_hit_overhang"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.best_hit_score_edge)",
                            "id": "#main/blastn/best_hit_score_edge"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.db)",
                            "id": "#main/blastn/db"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.dust)",
                            "id": "#main/blastn/dust"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.evalue)",
                            "id": "#main/blastn/evalue"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.gapextend)",
                            "id": "#main/blastn/gapextend"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.gapopen)",
                            "id": "#main/blastn/gapopen"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.no_greedy)",
                            "id": "#main/blastn/no_greedy"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.outfmt)",
                            "id": "#main/blastn/outfmt"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.penalty)",
                            "id": "#main/blastn/penalty"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.perc_identity)",
                            "id": "#main/blastn/perc_identity"
                        },
                        {
                            "source": "#main/query",
                            "id": "#main/blastn/query"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.reward)",
                            "id": "#main/blastn/reward"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.soft_masking)",
                            "id": "#main/blastn/soft_masking"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.task)",
                            "id": "#main/blastn/task"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.template_length)",
                            "id": "#main/blastn/template_length"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.template_type)",
                            "id": "#main/blastn/template_type"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.window_size)",
                            "id": "#main/blastn/window_size"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.word_size)",
                            "id": "#main/blastn/word_size"
                        },
                        {
                            "source": "#main/dbfasta",
                            "valueFrom": "$(self.xdrop_gap)",
                            "id": "#main/blastn/xdrop_gap"
                        }
                    ],
                    "out": [
                        "#main/blastn/output"
                    ],
                    "id": "#main/blastn"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
